
Redmine - Defect #13898

Users with roles of the assigned group are not able to view private issues

2013-04-27 15:19 - S.J. Bzek

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Let me provide an example.

Group "Developers" are exist. This group configuration:

Users: 0

Projects:

Project: "Project1"

Roles: "Developer"

So as I suppose all users with "Developer" role are belong to this group

"Developers".

Manager creates a private issue and assigned it to "Developers" group.

But "Developer" do not see this issue.

When user is added to "Developers" group directly (not by project and role),

it's available to this user.

So is it a bug or feature? Let me know.

Thanks in advance.

History

#1 - 2013-04-28 04:59 - S.J. Bzek

- Status changed from New to Resolved

Ah, sorry. I see now that roles are roles for this group in current project.

#2 - 2013-05-03 08:23 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.
